<template>
  <div>
    <ul class="items">
      <li v-for="item in items" :key="item.id">
        <div class="item"  @mouseover="itemOver(item)" @mouseleave="itemLeave(item)" >
          <div class="main-photo">
            <img :src="item.url" class="photo"/>
            <img v-if="item.over" class="play" src="play-btn.svg">
          </div>
          <br/>
          
          <b>{{item.title}}</b><br/>
          <span>{{item.content}}</span>
        </div>  
      </li>
    </ul>  
  </div>
</template>

<style scoped>
h1 {
  color: blue
}
.items{
  list-style: none;
}

.item{
  text-align: left;
  width: 200px;
  padding: 20px 20px 20px 20px;
}



.item b{
  font-size: 1.2em;
}

.item span{
   color: #929292;
}

ul.items li {
  display: inline;
  float: left;
  margin-left: 20px;
  margin-top: 20px;
  background: rgba(0, 0, 0, 0.4);
  border-radius: 5px;
  cursor: pointer;
  position: relative;
}

ul.items li:hover {
  background: rgba(133, 132, 132, 0.4);
}

.photo{
  width: 160px;
  height: 180px;
}

.main-photo{
  position: relative;
}

.photo img{
  position: absolute;
}

.play{
  float: right;
  position: absolute;
  right: 0;
  bottom: 0;
  width: 50px;
  height: 50px;
}


</style>

<script>

const items = [
  {
    id: 1,
    url: "https://i.scdn.co/image/ab67706f0000000290e131f21a47f49ca0efbab3",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 2,
    url: "https://i.scdn.co/image/ab67706f00000002b67a735b799113e3bf38d97d",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 3,
    url: "https://i.scdn.co/image/ab67706f000000028fe260052e95492c1d7e60f7",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 4,
    url: "https://i.scdn.co/image/ab67706f000000020eae05056ae45a9eb2855633",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
  {
    id: 5,
    url: "https://i.scdn.co/image/ab67706f0000000290e131f21a47f49ca0efbab3",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 6,
    url: "https://i.scdn.co/image/ab67706f00000002b67a735b799113e3bf38d97d",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 7,
    url: "https://i.scdn.co/image/ab67706f000000028fe260052e95492c1d7e60f7",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 8,
    url: "https://i.scdn.co/image/ab67706f000000020eae05056ae45a9eb2855633",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
  {
    id: 9,
    url: "https://i.scdn.co/image/ab67706f0000000290e131f21a47f49ca0efbab3",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 10,
    url: "https://i.scdn.co/image/ab67706f00000002b67a735b799113e3bf38d97d",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 11,
    url: "https://i.scdn.co/image/ab67706f000000028fe260052e95492c1d7e60f7",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 12,
    url: "https://i.scdn.co/image/ab67706f000000020eae05056ae45a9eb2855633",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
  {
    id: 13,
    url: "https://i.scdn.co/image/ab67706f0000000290e131f21a47f49ca0efbab3",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 14,
    url: "https://i.scdn.co/image/ab67706f00000002b67a735b799113e3bf38d97d",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 15,
    url: "https://i.scdn.co/image/ab67706f000000028fe260052e95492c1d7e60f7",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 16,
    url: "https://i.scdn.co/image/ab67706f000000020eae05056ae45a9eb2855633",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
  {
    id: 17,
    url: "https://i.scdn.co/image/ab67706f0000000290e131f21a47f49ca0efbab3",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 18,
    url: "https://i.scdn.co/image/ab67706f00000002b67a735b799113e3bf38d97d",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 19,
    url: "https://i.scdn.co/image/ab67706f000000028fe260052e95492c1d7e60f7",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
   {
     id: 20,
    url: "https://i.scdn.co/image/ab67706f000000020eae05056ae45a9eb2855633",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  },
  {
     id: 21,
    url: "https://i.scdn.co/image/ab67706f00000002b67a735b799113e3bf38d97d",
    title: "Đón tết",
    content: "Sắp tết thì phải nở hoa, không hoa thì nhạc...",
    over: false
  }
];

function shuffle(a) {
    for (let i = a.length - 1; i > 0; i--) {
        const j = Math.floor(Math.random() * (i + 1));
        [a[i], a[j]] = [a[j], a[i]];
    }
    return a;
}

 export default {
   data() {
     return {
       items: shuffle(items)
     }
   },

   methods: {
     itemOver(item) {
       item.over=true;
     },

     itemLeave(item) {
       item.over=false;
     },
   }
 }
</script>
